Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159290 - CAN-2003-0427 mikmod flaw
Summary: CAN-2003-0427 mikmod flaw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mikmod
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard: public=20030613,impact=low,source=cve
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 14:07 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-506
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:18:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:506 normal SHIPPED_LIVE Low: mikmod security update 2005-06-13 04:00:00 UTC

Description Mark J. Cox 2005-06-01 14:07:14 UTC
Back in June 2003, the Debian package owner for mikmod found a security flaw. 
Unfortunately it doesn't look like this got shared with vendors (I see nothing
in vendor-sec archives), and we didn't update for this minor flaw.  

An attacker could create a malicious archive and if you can convince a victim to
open that archive using mikmod you could overflow a buffer and execute code.

Fix from Gentoo CVS:

http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/media-sound/mikmod/files/mikmod-3.1.6-security.patch?rev=1.1&content-type=text/plain

Comment 1 Mark J. Cox 2005-06-01 14:07:40 UTC
This issue also affects RHEL3, RHEL2.1

Comment 2 Josh Bressers 2005-06-13 12:18:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-506.html



Note You need to log in before you can comment on or make changes to this bug.